---
layout: handbook-page-toc
title: "Engineering Career Framework"
description: "These are the expected competencies of Engineering team members at GitLab by Job Title."
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Engineering Career Framework

<%= partial("handbook/engineering/career-development/matrix/engineering/engineering_career_matrix_nav.erb") %>

These are the expected competencies of team members at GitLab by Job Title.

1. [Intermediate](/handbook/engineering/career-development/matrix/engineering/intermediate/)
1. [Senior](/handbook/engineering/career-development/matrix/engineering/senior/)
1. [Staff](/handbook/engineering/career-development/matrix/engineering/staff/)


## Engineering Departments


|   | Sub Departments Career Frameworks|
| ---- | ---- |
| **[Development](/handbook/engineering/career-development/matrix/engineering/development/)** | Protect, [Dev](/handbook/engineering/career-development/matrix/engineering/development/dev/), Enablement, Growth, Ops, Package & Release, Secure, Verify |
| **[Infrastructure](/handbook/engineering/career-development/matrix/engineering/infrastructure/)** | Infrastructure, Delivery & Scalability, Reliability |
| **[Quality](/handbook/engineering/career-development/matrix/engineering/quality/)** | Dev, Ops, Secure, Enablement, Engineering Productivity, Growth, Fulfillment, Protect |
| **Security** | Application Security,  Operations, Security Risk and Compliance |
| **[Support](/handbook/engineering/career-development/matrix/engineering/support/)** | [Support](/handbook/engineering/career-development/matrix/engineering/support/) |
| **UX** | Foundations, Product Design, Research, Technical Writing |
